Vous pouvez utiliser les dernières versions de Xcode et iOS sur la dernière version de Delphi

Depuis la publication de la 10.2.3 de RAD Studio / Delphi, Apple a sorti plusieurs sous-versions de iOS (son système d'exploitation pour iPhone et iPad) et de Xcode (son logiciel de développement contenant également les programmes de compilation et de publication).

Comme c'est déjà arrivé, des programmes ont été modifiés par Apple et n'étaient plus compatibles avec la version du Platform Assistant Server fournie avec Delphi. Nous ne pouvions plus bosser normalement, diffuser sur nos devices et encore moins faire du débogage dessus. Manque de bol le simulateur iOS est aussi inexploitable actuellement.

Heureusement Embarcadero a publié un patch à télécharger depuis Code Central.

Après installation de ce patch on peut à nouveau travailler normalement avec les vieilles versions d'iOS et de Xcode, mais aussi avec les versions récentes dont la 11.4 pour iOS et 9.4.1 d'Xcode qui vient tout juste d'être mis en téléchargement sur le Mac App Store.

Si vous avez volontairement ou par mégarde mis à jour vos smartphones et tablettes Apple ou laissé s'installer la mise à jour au niveau du Mac, installez le patch de PA Server et passez à la 10.2.3 de RAD Studio / Delphi si vous ne l'avez pas encore fait. Tout rentrera ainsi en ordre.

Et rappel de circonstance : méfiez-vous des mises à jour des périphériques mobiles et systèmes d'exploitation lorsque vous faites du développement multiplateforme, surtout si vous avez des projets en cours avec des dates de livraison proches... Ne vous laissez pas bloquer par une simple update "de sécurité" si vous n'êtes pas certain que votre outil de développement est bien compatible.